/*
 *  Copyright (C) 2004-2018 Savoir-faire Linux Inc.
 *
 *  Authors: Adrien Béraud <adrien.beraud@savoirfairelinux.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <https://www.gnu.org/licenses/>.
 */
package cx.ring.services;

import android.content.Intent;
import android.util.Log;

import com.google.firebase.iid.FirebaseInstanceId;
import com.google.firebase.iid.FirebaseInstanceIdService;

import cx.ring.service.DRingService;

public class RingFirebaseInstanceIdService extends FirebaseInstanceIdService {
    private static final String TAG = RingFirebaseInstanceIdService.class.getSimpleName();

    @Override
    public void onTokenRefresh() {
        try {
            String refreshedToken = FirebaseInstanceId.getInstance().getToken();
            Log.d(TAG, "onTokenRefresh: refreshed token: " + refreshedToken);
            startService(new Intent(DRingService.ACTION_PUSH_TOKEN_CHANGED)
                    .setClass(this, DRingService.class)
                    .putExtra(DRingService.PUSH_TOKEN_FIELD_TOKEN, refreshedToken));
        } catch (Exception e) {
            Log.w(TAG, "Error handling token refresh", e);
        }
    }

}
